Skip to main content
GET
/
customers
/
{customerAccountNumber}
Get a customer
curl --request GET \
  --url https://apigwuat.corpay.com/customers/{customerAccountNumber} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://apigwuat.corpay.com/customers/{customerAccountNumber}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://apigwuat.corpay.com/customers/{customerAccountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "$ref": "#/components/schemas/Customer/example"
}
{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}
{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}
Performance expectations:
p50: 170 ms, p99: 600 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics

Authorizations

Authorization
string
header
required

Use OAuth2 client credentials to obtain a bearer token.

Token endpoint: POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token

Use the same base URL as the selected API server:

  • Test environment: https://apigwuat.corpay.com
  • Production environment: https://apigw.corpay.com

Example:

curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'

Path Parameters

customerAccountNumber
string
required

Response

Customer

customerAccountNumber
string
required
customerName
string
required
status
string
required
customerAddress
object
customerBusinessReference
string

Reference to Consumer System Internal Identifier

customerContact
object